=== modified file 'strings/ctype-mb.c'
--- strings/ctype-mb.c	2008-07-14 16:47:12 +0000
+++ strings/ctype-mb.c	2008-07-17 19:11:14 +0000
@@ -70,7 +70,7 @@
   register char *srcend= src + srclen;
   register uchar *map= cs->to_upper;
 
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
   while (src < srcend)
   {
     if ((l=my_ismbchar(cs, src, srcend)))
@@ -93,7 +93,7 @@
   register char *srcend= src + srclen;
   register uchar *map=cs->to_lower;
 
-  DBUG_ASSERT(src == dst && srclen == dstlen);  
+  assert(src == dst && srclen == dstlen);  
   while (src < srcend)
   {
     if ((l= my_ismbchar(cs, src, srcend)))
@@ -487,7 +487,7 @@
   const uchar *se= src + srclen;
   const uchar *sort_order= cs->sort_order;
 
-  DBUG_ASSERT(cs->mbmaxlen <= 4);
+  assert(cs->mbmaxlen <= 4);
 
   /*
     If "srclen" is smaller than both "dstlen" and "nweights"
@@ -610,7 +610,7 @@
   buflen= cs->cset->wc_mb(cs, cs->max_sort_char, (uchar*) buf,
                           (uchar*) buf + sizeof(buf));
   
-  DBUG_ASSERT(buflen > 0);
+  assert(buflen > 0);
   do
   {
     if ((str + buflen) < end)

=== modified file 'strings/ctype-simple.c'
--- strings/ctype-simple.c	2008-07-15 06:45:16 +0000
+++ strings/ctype-simple.c	2008-07-17 19:11:14 +0000
@@ -220,7 +220,7 @@
 {
   char *end= src + srclen;
   register uchar *map= cs->to_upper;
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
   for ( ; src != end ; src++)
     *src= (char) map[(uchar) *src];
   return srclen;
@@ -233,7 +233,7 @@
 {
   char *end= src + srclen;
   register uchar *map=cs->to_lower;
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
   for ( ; src != end ; src++)
     *src= (char) map[(uchar) *src];
   return srclen;
@@ -1800,7 +1800,7 @@
 
 uint my_strxfrm_flag_normalize(uint flags, uint maximum)
 {
-  DBUG_ASSERT(maximum >= 1 && maximum <= MY_STRXFRM_NLEVELS);
+  assert(maximum >= 1 && maximum <= MY_STRXFRM_NLEVELS);
   
   /* If levels are omitted, then 1-maximum is assumed*/
   if (!(flags & MY_STRXFRM_LEVEL_ALL))
@@ -1834,7 +1834,7 @@
       else
       {
         /* Check that there are no DESC or REVERSE flag for skipped level */
-        DBUG_ASSERT(!(flag_dsc & src_bit) && !(flag_rev & src_bit));
+        assert(!(flag_dsc & src_bit) && !(flag_rev & src_bit));
       }
     }
     flags|= flag_pad;

=== modified file 'strings/ctype-ucs2.c'
--- strings/ctype-ucs2.c	2008-07-13 22:45:08 +0000
+++ strings/ctype-ucs2.c	2008-07-17 19:11:14 +0000
@@ -66,7 +66,7 @@
 my_caseup_str_mb2_or_mb4(CHARSET_INFO * cs  __attribute__((unused)), 
                          char * s __attribute__((unused)))
 {
-  DBUG_ASSERT(0);
+  assert(0);
   return 0;
 }
 
@@ -75,7 +75,7 @@
 my_casedn_str_mb2_or_mb4(CHARSET_INFO *cs __attribute__((unused)), 
                          char * s __attribute__((unused)))
 {
-  DBUG_ASSERT(0);
+  assert(0);
   return 0;
 }
 
@@ -85,7 +85,7 @@
                          const char *s __attribute__((unused)),
                          const char *t __attribute__((unused)))
 {
-  DBUG_ASSERT(0);
+  assert(0);
   return 0;
 }
 
@@ -997,7 +997,7 @@
     *dst++= '%';                            /* % used as % or unknown code */
   }
   
-  DBUG_ASSERT(dst <= end);
+  assert(dst <= end);
   *dst='\0';                                /* End of errmessage */
   return (size_t) (dst - start);
 }
@@ -1153,7 +1153,7 @@
   int res;
   char *srcend= src + srclen;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
   
   while ((src < srcend) &&
          (res= my_utf16_uni(cs, &wc, (uchar *)src, (uchar*) srcend)) > 0)
@@ -1200,7 +1200,7 @@
   int res;
   char *srcend= src + srclen;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
 
   while ((src < srcend) &&
          (res= my_utf16_uni(cs, &wc, (uchar*) src, (uchar*) srcend)) > 0)
@@ -1289,8 +1289,8 @@
   const uchar *se= s + slen, *te= t + tlen;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
 
-  DBUG_ASSERT((slen % 2) == 0);
-  DBUG_ASSERT((tlen % 2) == 0);
+  assert((slen % 2) == 0);
+  assert((tlen % 2) == 0);
 
 #ifndef VARCHAR_WITH_DIFF_ENDSPACE_ARE_DIFFERENT_FOR_UNIQUE
   diff_if_only_endspace_difference= FALSE;
@@ -1341,7 +1341,7 @@
     {
       if ((s_res= my_utf16_uni(cs, &s_wc, s, se)) < 0)
       {
-        DBUG_ASSERT(0);
+        assert(0);
         return 0;
       }
       if (s_wc != ' ')
@@ -1532,8 +1532,8 @@
   my_wc_t s_wc= 0, t_wc= 0;
   const uchar *se= s + slen, *te= t + tlen;
 
-  DBUG_ASSERT((slen % 2) == 0);
-  DBUG_ASSERT((tlen % 2) == 0);
+  assert((slen % 2) == 0);
+  assert((tlen % 2) == 0);
 
 #ifndef VARCHAR_WITH_DIFF_ENDSPACE_ARE_DIFFERENT_FOR_UNIQUE
   diff_if_only_endspace_difference= FALSE;
@@ -1581,7 +1581,7 @@
     {
       if ((s_res= my_utf16_uni(cs, &s_wc, s, se)) < 0)
       {
-        DBUG_ASSERT(0);
+        assert(0);
         return 0;
       }
       if (s_wc != ' ')
@@ -1927,7 +1927,7 @@
   int res;
   char *srcend= src + srclen;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
   
   while ((src < srcend) &&
          (res= my_utf32_uni(cs, &wc, (uchar *)src, (uchar*) srcend)) > 0)
@@ -1983,7 +1983,7 @@
   int res;
   char *srcend= src + srclen;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
 
   while ((res= my_utf32_uni(cs, &wc, (uchar*) src, (uchar*) srcend)) > 0)
   {
@@ -2071,8 +2071,8 @@
   const uchar *se= s + slen, *te= t + tlen;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
 
-  DBUG_ASSERT((slen % 4) == 0);
-  DBUG_ASSERT((tlen % 4) == 0);
+  assert((slen % 4) == 0);
+  assert((tlen % 4) == 0);
 
 #ifndef VARCHAR_WITH_DIFF_ENDSPACE_ARE_DIFFERENT_FOR_UNIQUE
   diff_if_only_endspace_difference= FALSE;
@@ -2123,7 +2123,7 @@
     {
       if ((s_res= my_utf32_uni(cs, &s_wc, s, se)) < 0)
       {
-        DBUG_ASSERT(0);
+        assert(0);
         return 0;
       }
       if (s_wc != ' ')
@@ -2145,7 +2145,7 @@
 my_fill_utf32_for_strxfrm(CHARSET_INFO *cs __attribute__((unused)),
                           char *s, size_t slen, int fill)
 {
-  DBUG_ASSERT(fill <= 0xFFFF);
+  assert(fill <= 0xFFFF);
   
   for ( ; slen > 1; slen-= 2)
   {
@@ -2227,7 +2227,7 @@
 my_vsnprintf_utf32(char *dst, size_t n, const char* fmt, va_list ap)
 {
   char *start= dst, *end= dst + n;
-  DBUG_ASSERT((n % 4) == 0);
+  assert((n % 4) == 0);
   for (; *fmt ; fmt++)
   {
     if (fmt[0] != '%')
@@ -2303,7 +2303,7 @@
     *dst++= '%';    /* % used as % or unknown code */
   }
   
-  DBUG_ASSERT(dst < end);
+  assert(dst < end);
   *dst++= '\0';
   *dst++= '\0';
   *dst++= '\0';
@@ -2517,7 +2517,7 @@
   /* Ensure string length is divisible by 4 */
   const char *b0= b;
   size_t length= e - b;
-  DBUG_ASSERT((length % 4) == 0);
+  assert((length % 4) == 0);
   *error= 0;
   nchars*= 4;
   if (length > nchars)
@@ -2545,11 +2545,11 @@
   uint buflen;
   char *e= s + slen;
   
-  DBUG_ASSERT((slen % 4) == 0);
+  assert((slen % 4) == 0);
 
   buflen= cs->cset->wc_mb(cs, (my_wc_t) fill, (uchar*) buf,
                           (uchar*) buf + sizeof(buf));
-  DBUG_ASSERT(buflen == 4);
+  assert(buflen == 4);
   while (s < e)
   {
     memcpy(s, buf, 4);
@@ -2563,7 +2563,7 @@
                   const char *ptr, size_t length)
 {
   const char *end= ptr + length;
-  DBUG_ASSERT((length % 4) == 0);
+  assert((length % 4) == 0);
   while (end > ptr + 3 && end[-1] == ' ' && !end[-2] && !end[-3] && !end[-4])
     end-= 4;
   return (size_t) (end - ptr);
@@ -2646,8 +2646,8 @@
   const uchar *se, *te;
   size_t minlen;
 
-  DBUG_ASSERT((slen % 4) == 0);
-  DBUG_ASSERT((tlen % 4) == 0);
+  assert((slen % 4) == 0);
+  assert((tlen % 4) == 0);
 
   se= s + slen;
   te= t + tlen;
@@ -2717,7 +2717,7 @@
   char *max_end= max_str + res_length;
   size_t charlen= res_length / cs->mbmaxlen;
   
-  DBUG_ASSERT((res_length % 4) == 0);
+  assert((res_length % 4) == 0);
   
   for ( ; charlen > 0; ptr+= 4, charlen--)
   {
@@ -3043,7 +3043,7 @@
   int res;
   char *srcend= src + srclen;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
   
   while ((src < srcend) &&
          (res= my_ucs2_uni(cs, &wc, (uchar *)src, (uchar*) srcend)) > 0)
@@ -3090,7 +3090,7 @@
   int res;
   char *srcend= src + srclen;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src == dst && srclen == dstlen);
+  assert(src == dst && srclen == dstlen);
 
   while ((src < srcend) &&
          (res= my_ucs2_uni(cs, &wc, (uchar*) src, (uchar*) srcend)) > 0)

=== modified file 'strings/ctype-utf8.c'
--- strings/ctype-utf8.c	2008-07-15 06:45:16 +0000
+++ strings/ctype-utf8.c	2008-07-17 19:11:14 +0000
@@ -2210,7 +2210,7 @@
   int srcres, dstres;
   char *srcend= src + srclen, *dstend= dst + dstlen, *dst0= dst;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src != dst || cs->caseup_multiply == 1);
+  assert(src != dst || cs->caseup_multiply == 1);
 
   while ((src < srcend) &&
          (srcres= my_mb_wc_utf8mb4(cs, &wc,
@@ -2278,7 +2278,7 @@
   int srcres, dstres;
   char *dst= src, *dst0= src;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(cs->caseup_multiply == 1);
+  assert(cs->caseup_multiply == 1);
 
   while (*src &&
          (srcres= my_mb_wc_utf8mb4_no_range(cs, &wc, (uchar *) src)) > 0)
@@ -2303,7 +2303,7 @@
   int srcres, dstres;
   char *srcend= src + srclen, *dstend= dst + dstlen, *dst0= dst;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src != dst || cs->casedn_multiply == 1);
+  assert(src != dst || cs->casedn_multiply == 1);
 
   while ((src < srcend) &&
          (srcres= my_mb_wc_utf8mb4(cs, &wc,
@@ -2326,7 +2326,7 @@
   int srcres, dstres;
   char *dst= src, *dst0= src;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(cs->casedn_multiply == 1);
+  assert(cs->casedn_multiply == 1);
 
   while (*src &&
          (srcres= my_mb_wc_utf8mb4_no_range(cs, &wc, (uchar *) src)) > 0)
@@ -3112,7 +3112,7 @@
   int srcres, dstres;
   char *srcend= src + srclen, *dstend= dst + dstlen, *dst0= dst;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src != dst || cs->caseup_multiply == 1);
+  assert(src != dst || cs->caseup_multiply == 1);
 
   while ((src < srcend) &&
          (srcres= my_mb_wc_utf8mb3(cs, &wc,
@@ -3166,7 +3166,7 @@
   int srcres, dstres;
   char *dst= src, *dst0= src;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(cs->caseup_multiply == 1);
+  assert(cs->caseup_multiply == 1);
 
   while (*src &&
          (srcres= my_mb_wc_utf8mb3_no_range(cs, &wc, (uchar *) src)) > 0)
@@ -3191,7 +3191,7 @@
   int srcres, dstres;
   char *srcend= src + srclen, *dstend= dst + dstlen, *dst0= dst;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(src != dst || cs->casedn_multiply == 1);
+  assert(src != dst || cs->casedn_multiply == 1);
 
   while ((src < srcend) &&
          (srcres= my_mb_wc_utf8mb3(cs, &wc,
@@ -3215,7 +3215,7 @@
   int srcres, dstres;
   char *dst= src, *dst0= src;
   MY_UNICASE_INFO **uni_plane= cs->caseinfo;
-  DBUG_ASSERT(cs->casedn_multiply == 1);
+  assert(cs->casedn_multiply == 1);
 
   while (*src &&
          (srcres= my_mb_wc_utf8mb3_no_range(cs, &wc, (uchar *) src)) > 0)

=== modified file 'strings/decimal.c'
--- strings/decimal.c	2008-07-15 06:45:16 +0000
+++ strings/decimal.c	2008-07-17 19:11:14 +0000
@@ -139,9 +139,9 @@
   999999900, 999999990 };
 
 #ifdef HAVE_purify
-#define sanity(d) DBUG_ASSERT((d)->len > 0)
+#define sanity(d) assert((d)->len > 0)
 #else
-#define sanity(d) DBUG_ASSERT((d)->len >0 && ((d)->buf[0] | \
+#define sanity(d) assert((d)->len >0 && ((d)->buf[0] | \
                               (d)->buf[(d)->len-1] | 1))
 #endif
 
@@ -170,7 +170,7 @@
         do                                                              \
         {                                                               \
           dec1 a=(from1)+(from2)+(carry);                               \
-          DBUG_ASSERT((carry) <= 1);                                    \
+          assert((carry) <= 1);                                    \
           if (((carry)= a >= DIG_BASE)) /* no division here! */         \
             a-=DIG_BASE;                                                \
           (to)=a;                                                       \
@@ -227,7 +227,7 @@
 {
   int intpart;
   dec1 *buf= to->buf;
-  DBUG_ASSERT(precision && precision >= frac);
+  assert(precision && precision >= frac);
 
   to->sign= 0;
   if ((intpart= to->intg= (precision - frac)))
@@ -264,7 +264,7 @@
   if (intg > 0)
   {
     for (i= (intg - 1) % DIG_PER_DEC1; *buf0 < powers10[i--]; intg--) ;
-    DBUG_ASSERT(intg > 0);
+    assert(intg > 0);
   }
   else
     intg=0;
@@ -338,7 +338,7 @@
   char *s=to;
   dec1 *buf, *buf0=from->buf, tmp;
 
-  DBUG_ASSERT(*to_len >= 2+from->sign);
+  assert(*to_len >= 2+from->sign);
 
   /* removing leading zeroes */
   buf0= remove_leading_zeroes(from, &intg);
@@ -516,8 +516,8 @@
   dec1 *from= dec->buf + ROUND_UP(beg + 1) - 1;
   dec1 *end= dec->buf + ROUND_UP(last) - 1;
   int c_shift= DIG_PER_DEC1 - shift;
-  DBUG_ASSERT(from >= dec->buf);
-  DBUG_ASSERT(end < dec->buf + dec->len);
+  assert(from >= dec->buf);
+  assert(end < dec->buf + dec->len);
   if (beg % DIG_PER_DEC1 < shift)
     *(from - 1)= (*from) / powers10[c_shift];
   for(; from < end; from++)
@@ -546,8 +546,8 @@
   dec1 *from= dec->buf + ROUND_UP(last) - 1;
   dec1 *end= dec->buf + ROUND_UP(beg + 1) - 1;
   int c_shift= DIG_PER_DEC1 - shift;
-  DBUG_ASSERT(from < dec->buf + dec->len);
-  DBUG_ASSERT(end >= dec->buf);
+  assert(from < dec->buf + dec->len);
+  assert(end >= dec->buf);
   if (DIG_PER_DEC1 - ((last - 1) % DIG_PER_DEC1 + 1) < shift)
     *(from + 1)= (*from % powers10[shift]) * powers10[c_shift];
   for(; from > end; from--)
@@ -655,7 +655,7 @@
         result
       */
       do_left= l_mini_shift <= beg;
-      DBUG_ASSERT(do_left || (dec->len * DIG_PER_DEC1 - end) >= r_mini_shift);
+      assert(do_left || (dec->len * DIG_PER_DEC1 - end) >= r_mini_shift);
     }
     else
     {
@@ -663,7 +663,7 @@
       l_mini_shift= DIG_PER_DEC1 - r_mini_shift;
       /* see comment above */
       do_left= !((dec->len * DIG_PER_DEC1 - end) >= r_mini_shift);
-      DBUG_ASSERT(!do_left || l_mini_shift <= beg);
+      assert(!do_left || l_mini_shift <= beg);
     }
     if (do_left)
     {
@@ -703,8 +703,8 @@
       d_shift= new_front / DIG_PER_DEC1;
       to= dec->buf + (ROUND_UP(beg + 1) - 1 - d_shift);
       barier= dec->buf + (ROUND_UP(end) - 1 - d_shift);
-      DBUG_ASSERT(to >= dec->buf);
-      DBUG_ASSERT(barier + d_shift < dec->buf + dec->len);
+      assert(to >= dec->buf);
+      assert(barier + d_shift < dec->buf + dec->len);
       for(; to <= barier; to++)
         *to= *(to + d_shift);
       for(barier+= d_shift; to <= barier; to++)
@@ -717,8 +717,8 @@
       d_shift= (1 - new_front) / DIG_PER_DEC1;
       to= dec->buf + ROUND_UP(end) - 1 + d_shift;
       barier= dec->buf + ROUND_UP(beg + 1) - 1 + d_shift;
-      DBUG_ASSERT(to < dec->buf + dec->len);
-      DBUG_ASSERT(barier - d_shift >= dec->buf);
+      assert(to < dec->buf + dec->len);
+      assert(barier - d_shift >= dec->buf);
       for(; to >= barier; to--)
         *to= *(to - d_shift);
       for(barier-= d_shift; to >= barier; to--)
@@ -737,7 +737,7 @@
   */
   beg= ROUND_UP(beg + 1) - 1;
   end= ROUND_UP(end) - 1;
-  DBUG_ASSERT(new_point >= 0);
+  assert(new_point >= 0);
   
   /* We don't want negative new_point below */
   if (new_point != 0)
@@ -951,12 +951,8 @@
   rc = decimal2string(from, strbuf, &len, 0, 0, 0);
   end= strbuf + len;
   
-  DBUG_PRINT("info", ("interm.: %s", strbuf));
-
   *to= my_strtod(strbuf, &end, &error);
              
-  DBUG_PRINT("info", ("result: %f (%lx)", *to, *(ulong *)to));
-
   return (rc != E_DEC_OK) ? rc : (error ? E_DEC_OVERFLOW : E_DEC_OK);
 }
 
@@ -976,11 +972,9 @@
 {
   char buff[FLOATING_POINT_BUFFER], *end;
   int res;
-  DBUG_ENTER("double2decimal");
   end= buff + my_gcvt(from, MY_GCVT_ARG_DOUBLE, sizeof(buff) - 1, buff, NULL);
   res= string2decimal(buff, to, &end);
-  DBUG_PRINT("exit", ("res: %d", res));
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
@@ -1243,7 +1237,7 @@
       case 2: mi_int2store(to, x); break;
       case 3: mi_int3store(to, x); break;
       case 4: mi_int4store(to, x); break;
-      default: DBUG_ASSERT(0);
+      default: assert(0);
     }
     to+=i;
   }
@@ -1252,7 +1246,7 @@
   for (stop1=buf1+intg1+frac1; buf1 < stop1; to+=sizeof(dec1))
   {
     dec1 x=*buf1++ ^ mask;
-    DBUG_ASSERT(sizeof(dec1) == 4);
+    assert(sizeof(dec1) == 4);
     mi_int4store(to, x);
   }
 
@@ -1271,7 +1265,7 @@
       case 2: mi_int2store(to, x); break;
       case 3: mi_int3store(to, x); break;
       case 4: mi_int4store(to, x); break;
-      default: DBUG_ASSERT(0);
+      default: assert(0);
     }
     to+=i;
   }
@@ -1285,7 +1279,7 @@
   orig_to[0]^= 0x80;
 
   /* Check that we have written the whole decimal and nothing more */
-  DBUG_ASSERT(to == orig_to + orig_fsize0 + orig_isize0);
+  assert(to == orig_to + orig_fsize0 + orig_isize0);
   return error;
 }
 
@@ -1353,7 +1347,7 @@
       case 2: x=mi_sint2korr(from); break;
       case 3: x=mi_sint3korr(from); break;
       case 4: x=mi_sint4korr(from); break;
-      default: DBUG_ASSERT(0);
+      default: assert(0);
     }
     from+=i;
     *buf=x ^ mask;
@@ -1366,7 +1360,7 @@
   }
   for (stop=from+intg0*sizeof(dec1); from < stop; from+=sizeof(dec1))
   {
-    DBUG_ASSERT(sizeof(dec1) == 4);
+    assert(sizeof(dec1) == 4);
     *buf=mi_sint4korr(from) ^ mask;
     if (((uint32)*buf) > DIG_MAX)
       goto err;
@@ -1375,10 +1369,10 @@
     else
       to->intg-=DIG_PER_DEC1;
   }
-  DBUG_ASSERT(to->intg >=0);
+  assert(to->intg >=0);
   for (stop=from+frac0*sizeof(dec1); from < stop; from+=sizeof(dec1))
   {
-    DBUG_ASSERT(sizeof(dec1) == 4);
+    assert(sizeof(dec1) == 4);
     *buf=mi_sint4korr(from) ^ mask;
     if (((uint32)*buf) > DIG_MAX)
       goto err;
@@ -1394,7 +1388,7 @@
       case 2: x=mi_sint2korr(from); break;
       case 3: x=mi_sint3korr(from); break;
       case 4: x=mi_sint4korr(from); break;
-      default: DBUG_ASSERT(0);
+      default: assert(0);
     }
     *buf=(x ^ mask) * powers10[DIG_PER_DEC1 - frac0x];
     if (((uint32)*buf) > DIG_MAX)
@@ -1420,7 +1414,7 @@
 
 int decimal_size(int precision, int scale)
 {
-  DBUG_ASSERT(scale >= 0 && precision > 0 && scale <= precision);
+  assert(scale >= 0 && precision > 0 && scale <= precision);
   return ROUND_UP(precision-scale)+ROUND_UP(scale);
 }
 
@@ -1437,7 +1431,7 @@
       intg0=intg/DIG_PER_DEC1, frac0=scale/DIG_PER_DEC1,
       intg0x=intg-intg0*DIG_PER_DEC1, frac0x=scale-frac0*DIG_PER_DEC1;
 
-  DBUG_ASSERT(scale >= 0 && precision > 0 && scale <= precision);
+  assert(scale >= 0 && precision > 0 && scale <= precision);
   return intg0*sizeof(dec1)+dig2bytes[intg0x]+
          frac0*sizeof(dec1)+dig2bytes[frac0x];
 }
@@ -1480,7 +1474,7 @@
   case CEILING:         round_digit= from->sign ? 10 : 0; break;
   case FLOOR:           round_digit= from->sign ? 0 : 10; break;
   case TRUNCATE:        round_digit=10; break;
-  default: DBUG_ASSERT(0);
+  default: assert(0);
   }
 
   if (unlikely(frac0+intg0 > len))
@@ -1529,7 +1523,7 @@
   if (scale == frac0*DIG_PER_DEC1)
   {
     int do_inc= false;
-    DBUG_ASSERT(frac0+intg0 >= 0);
+    assert(frac0+intg0 >= 0);
     switch (round_digit) {
     case 0:
     {
@@ -1571,7 +1565,7 @@
   {
     /* TODO - fix this code as it won't work for CEILING mode */
     int pos=frac0*DIG_PER_DEC1-scale-1;
-    DBUG_ASSERT(frac0+intg0 > 0);
+    assert(frac0+intg0 > 0);
     x=*buf1 / powers10[pos];
     y=x % 10;
     if (y > round_digit ||
@@ -1690,7 +1684,7 @@
            ROUND_UP(from1->frac)+ROUND_UP(from2->frac);
   case '/':
     return ROUND_UP(from1->intg+from2->intg+1+from1->frac+from2->frac+param);
-  default: DBUG_ASSERT(0);
+  default: assert(0);
   }
   return -1; /* shut up the warning */
 }
@@ -1770,7 +1764,7 @@
 
   if (unlikely(carry))
     *--buf0=1;
-  DBUG_ASSERT(buf0 == to->buf || buf0 == to->buf+1);
+  assert(buf0 == to->buf || buf0 == to->buf+1);
 
   return error;
 }
@@ -2048,7 +2042,7 @@
   {
     dec1 *buf= to->buf;
     dec1 *end= to->buf + intg0 + frac0;
-    DBUG_ASSERT(buf != end);
+    assert(buf != end);
     for (;;)
     {
       if (*buf)
@@ -2114,7 +2108,7 @@
   if (prec2 <= 0) /* short-circuit everything: from2 == 0 */
     return E_DEC_DIV_ZERO;
   for (i= (prec2 - 1) % DIG_PER_DEC1; *buf2 < powers10[i--]; prec2--) ;
-  DBUG_ASSERT(prec2 > 0);
+  assert(prec2 > 0);
 
   i=((prec1-1) % DIG_PER_DEC1)+1;
   while (prec1 > 0 && *buf1 == 0)
@@ -2129,7 +2123,7 @@
     return E_DEC_OK;
   }
   for (i=(prec1-1) % DIG_PER_DEC1; *buf1 < powers10[i--]; prec1--) ;
-  DBUG_ASSERT(prec1 > 0);
+  assert(prec1 > 0);
 
   /* let's fix scale_incr, taking into account frac1,frac2 increase */
   if ((scale_incr-= frac1 - from1->frac + frac2 - from2->frac) < 0)
@@ -2234,13 +2228,13 @@
           guess--;
         if (unlikely(start2[1]*guess > (x-guess*start2[0])*DIG_BASE+y))
           guess--;
-        DBUG_ASSERT(start2[1]*guess <= (x-guess*start2[0])*DIG_BASE+y);
+        assert(start2[1]*guess <= (x-guess*start2[0])*DIG_BASE+y);
       }
 
       /* D4: multiply and subtract */
       buf2=stop2;
       buf1=start1+len2;
-      DBUG_ASSERT(buf1 < stop1);
+      assert(buf1 < stop1);
       for (carry=0; buf2 > start2; buf1--)
       {
         dec1 hi, lo;
@@ -2311,7 +2305,7 @@
         error=E_DEC_OVERFLOW;
         goto done;
       }
-      DBUG_ASSERT(intg0 <= ROUND_UP(from2->intg));
+      assert(intg0 <= ROUND_UP(from2->intg));
       stop1=start1+frac0+intg0;
       to->intg=min(intg0*DIG_PER_DEC1, from2->intg);
     }
@@ -2322,7 +2316,7 @@
       to->frac=frac0*DIG_PER_DEC1;
         error=E_DEC_TRUNCATED;
     }
-    DBUG_ASSERT(buf0 + (stop1 - start1) <= to->buf + to->len);
+    assert(buf0 + (stop1 - start1) <= to->buf + to->len);
     while (start1 < stop1)
         *buf0++=*start1++;
   }

=== modified file 'strings/do_ctype.c'
--- strings/do_ctype.c	2008-07-08 01:31:43 +0000
+++ strings/do_ctype.c	2008-07-17 19:11:14 +0000
@@ -16,10 +16,6 @@
 /* Prints case-convert and sort-convert tabell on stdout. This is used to
    make _ctype.c easyer */
 
-#ifdef DBUG_OFF
-#undef DBUG_OFF
-#endif
-
 #include <my_global.h>
 #include <ctype.h>
 #include <my_sys.h>
@@ -39,8 +35,6 @@
 char *argv[];
 {
   int i,j,ch;
-  DBUG_ENTER ("main");
-  DBUG_PROCESS (argv[0]);
 
   get_options(&argc,&argv);
   init_case_convert();
@@ -65,7 +59,7 @@
     }
     puts("};\n");
   }
-  DBUG_RETURN(0);
+  return(0);
 } /* main */
 
 	/* Read options */
@@ -88,10 +82,6 @@
       case 'n':					/* Numeric output */
 	ascii_output=0;
 	break;
-      case '#':
-	DBUG_PUSH (++pos);
-      *(pos--) = '\0';			/* Skippa argument */
-      break;
       case 'V':
 	version=1;
       case 'I':
@@ -128,7 +118,6 @@
 {
   reg1 int16 i;
   reg2 uchar *higher_pos,*lower_pos;
-  DBUG_ENTER("init_case_convert");
 
   for (i=0 ; i <= MAX_CHAR_OK ; i++)
   {
@@ -170,5 +159,5 @@
       sort_order[(uchar)to_lower[*higher_pos]] = *lower_pos;
     higher_pos++; lower_pos++;
   }
-  DBUG_VOID_RETURN;
+  return;
 } /* init_case_convert */

=== modified file 'strings/dtoa.c'
--- strings/dtoa.c	2008-07-16 18:48:24 +0000
+++ strings/dtoa.c	2008-07-17 19:11:14 +0000
@@ -90,7 +90,7 @@
   int decpt, sign, len, i;
   char *res, *src, *end, *dst= to;
   char buf[DTOA_BUFF_SIZE];
-  DBUG_ASSERT(precision >= 0 && precision < NOT_FIXED_DEC && to != NULL);
+  assert(precision >= 0 && precision < NOT_FIXED_DEC && to != NULL);
   
   res= dtoa(x, 5, precision, &decpt, &sign, &end, buf, sizeof(buf));
 
@@ -215,7 +215,7 @@
   char *res, *src, *end, *dst= to, *dend= dst + width;
   char buf[DTOA_BUFF_SIZE];
   my_bool have_space, force_e_format;
-  DBUG_ASSERT(width > 0 && to != NULL);
+  assert(width > 0 && to != NULL);
   
   /* We want to remove '-' from equations early */
   if (x < 0.)
@@ -461,7 +461,7 @@
 {
   char buf[DTOA_BUFF_SIZE];
   double res;
-  DBUG_ASSERT(str != NULL && end != NULL && *end != NULL && error != NULL);
+  assert(str != NULL && end != NULL && *end != NULL && error != NULL);
 
   res= my_strtod_int(str, end, error, buf, sizeof(buf));
   return (*error == 0) ? res : (res < 0 ? -DBL_MAX : DBL_MAX);

=== modified file 'strings/str2int.c'
--- strings/str2int.c	2008-06-25 05:29:13 +0000
+++ strings/str2int.c	2008-07-17 19:11:14 +0000
@@ -65,13 +65,10 @@
   *val = 0;
 
   /*  Check that the radix is in the range 2..36  */
-
-#ifndef DBUG_OFF
   if (radix < 2 || radix > 36) {
     errno=EDOM;
     return NullS;
   }
-#endif
 
   /*  The basic problem is: how do we handle the conversion of
       a number without resorting to machine-specific code to

=== modified file 'strings/tests/Makefile.am'
--- strings/tests/Makefile.am	2008-07-05 18:48:15 +0000
+++ strings/tests/Makefile.am	2008-07-17 19:11:14 +0000
@@ -13,10 +13,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-if BUILD_DBUG
-  d_dbug = $(top_builddir)/dbug/libdbug.la
-endif
-
 MYSQLDATAdir =		$(localstatedir)
 MYSQLSHAREdir =		$(pkgdatadir)
 MYSQLBASEdir=		$(prefix)
@@ -24,8 +20,7 @@
 			-I$(top_srcdir)/include -I$(srcdir)  \
                         -I$(top_srcdir)/strings
 LDADD =			$(top_builddir)/strings/libmysyslt.la \
-			$(top_builddir)/strings/libmystrings.la \
-			$(d_dbug)
+			$(top_builddir)/strings/libmystrings.la
 
 DEFS =			-DMAIN \
 			-DDEFAULT_BASEDIR=\"$(prefix)\" \

